<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Emanuela.mitreva</id>
		<title>Hostway API Documentation - User contributions [en]</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Emanuela.mitreva"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Special:Contributions/Emanuela.mitreva"/>
		<updated>2026-04-28T00:00:24Z</updated>
		<subtitle>User contributions</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-action-interFranchiseMigration:GET</id>
		<title>Accounts-accountId-action-interFranchiseMigration:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-action-interFranchiseMigration:GET"/>
				<updated>2016-05-09T14:14:37Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/''{accountId}''/action/interFranchiseMigration =&lt;br /&gt;
Get details about an account's migration to another franchise&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/action/interFranchiseMigration&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Forbidden access to accounts by a user not authorized for such access.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account Id was not found or a migration request has not been created for this account.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: {progress},&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{account-number}/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: The status of the migration. Valid values are '''pending''', '''complete''', '''inprogress''' or '''unknown''' - in case there is no InterFranchise migration started on the account, for this case the progress is None.&lt;br /&gt;
&lt;br /&gt;
; progress - ''float''&lt;br /&gt;
: A float from 0 to 1 representing the migration request's progress. The progress would indicated which is the current flow of the InterFranchise migration process - 0.1 would indicate that it is on the first flow, 0.9 on the last, 1 would indicated that the migration was completed. Can be ''null'' if the status is '''unknown'''.&lt;br /&gt;
&lt;br /&gt;
; newAccountId - ''string''&lt;br /&gt;
: The newly-generated accountId for the target account in the target franchise. Available only when the status is '''complete'''.&lt;br /&gt;
&lt;br /&gt;
; newFranchise - ''string''&lt;br /&gt;
: The target franchise this account was migrated to. Available only when the status is '''complete'''.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== Conditional Hypermedia ==&lt;br /&gt;
Hypermedia fields marked as optional will appear on the basis of the accessing user's permissions.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that has been submitted but not started ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;pending&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is being processed (10% done) ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;inprogress&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0.1,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is being processed (70% done) ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;inprogress&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0.7,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is finished ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;complete&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;newAccountId&amp;quot;: &amp;quot;acc853234524&amp;quot;,&lt;br /&gt;
  &amp;quot;newFranchise&amp;quot;: &amp;quot;domainpeople_us_main&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that was never started ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;unknown&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: null,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that does not exist ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 404 Not Found'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;itemNotFound&amp;quot; : {&lt;br /&gt;
      &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;, &lt;br /&gt;
      &amp;quot;code&amp;quot;: 404, &lt;br /&gt;
      &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
      &amp;quot;guid&amp;quot;: &amp;quot;59e0b3dd-2173-432a-8ff5-60efe16e83bf&amp;quot;&lt;br /&gt;
   }&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-dedicatedServers:GET</id>
		<title>Accounts-account-dedicatedServers:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-dedicatedServers:GET"/>
				<updated>2016-01-14T15:12:21Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account_number}/dedicatedServers =&lt;br /&gt;
Retrieves a list of fully provisioned dedicated servers&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{account_number}''/dedicatedServers&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{account_number}''/dedicatedServers?page=page&amp;amp;pageSize=page-size&amp;amp;sortField=sortField&amp;amp;sortOrder=sortOrder&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; account_number - ''string''&lt;br /&gt;
: The user account owning the dedicated servers&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
&lt;br /&gt;
; page - ''integer''&lt;br /&gt;
: Specifies which page should be displayed. Requires a pageSize parameter to also be provided.&lt;br /&gt;
&lt;br /&gt;
; pageSize - ''integer''&lt;br /&gt;
: Specifies the number of entries to be displayed on a page. Requires a page parameter to also be provided&lt;br /&gt;
&lt;br /&gt;
; sortField - ''string''&lt;br /&gt;
: Specifies if the resulting list is to be sorted by a given field. Allowed value is '''serverName'''. If the field is missing the list will be ordered by serverName.&lt;br /&gt;
&lt;br /&gt;
; sortOrder - ''string''&lt;br /&gt;
: The order in which the sorting is to be done. Allowed values are '''asc''' and '''desc'''. If the field is missing the order is '''asc'''.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;{serverName}&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers/{dedicated_server_id}&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;{productName}&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;{displayName}&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;{serviceName}&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;{partnerId}&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;{serverLocation}&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers/{dedicated_server_id}/services&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
   &amp;quot;links&amp;quot;:&lt;br /&gt;
      [&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers?page=2&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;first&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;previous&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers?page=1&amp;amp;pageSize=3&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;next&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/dedicatedServers?page=1&amp;amp;pageSize=3&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;last&amp;quot;&lt;br /&gt;
         }&lt;br /&gt;
      ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; serverName - ''string''&lt;br /&gt;
: The name of an individual dedicated server&lt;br /&gt;
&lt;br /&gt;
; details - ''string''&lt;br /&gt;
: hypermedia to the give dedicated server&lt;br /&gt;
&lt;br /&gt;
; productName - ''string''&lt;br /&gt;
: Name of the product&lt;br /&gt;
&lt;br /&gt;
; displayName - ''string''&lt;br /&gt;
: Custom display name of the product&lt;br /&gt;
&lt;br /&gt;
; serviceName- ''string''&lt;br /&gt;
: Name of the service&lt;br /&gt;
&lt;br /&gt;
; partnerId- ''string''&lt;br /&gt;
: Parner id&lt;br /&gt;
&lt;br /&gt;
; serverLocation - ''string''&lt;br /&gt;
: Location of the server - chicago, tampa, etc.&lt;br /&gt;
&lt;br /&gt;
; services - ''string''&lt;br /&gt;
: link to services for each dedicated server&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Link to self will preserve sorting and pagination set by the request. Links to the first, last, previous and next pages will also be included if applicable&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes  ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource. The only user(s) who has access to the dedicated servers list must be a sales agent, the account owner, or the account technical admin. &lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The account does not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get a list of dedicated servers ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/dedicatedServers &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 1&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server10&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1/services&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 2&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server20&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2/services&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 3&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-3&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server30&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server 3&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server 3&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-3/services&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Get a list of dedicated servers sorted by server name in an descending order ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/dedicatedServers?sortField=serverName&amp;amp;sortOrder=desc &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 3&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-3&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server30&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server 3&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server 3&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-3/services&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 2&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2&amp;quot;,&lt;br /&gt;
            &amp;quot;productNmae&amp;quot;: &amp;quot;Server20&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2/services&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 1&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server10&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1/services&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?sortField=serverName&amp;amp;sortOrder=desc&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Get a list of dedicated servers with pagination ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/test.com/dedicatedServers?page=2&amp;amp;pageSize=2 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;serverName&amp;quot;: &amp;quot;Server Name 1&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server10&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-1/services&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;Server Name 2&amp;quot;, &lt;br /&gt;
            &amp;quot;details&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2&amp;quot;,&lt;br /&gt;
            &amp;quot;productName&amp;quot;: &amp;quot;Server20&amp;quot;,&lt;br /&gt;
            &amp;quot;displayName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceName&amp;quot;: &amp;quot;Advantage Dedicated Server 2&amp;quot;,&lt;br /&gt;
            &amp;quot;partnerId&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
            &amp;quot;serverLocation&amp;quot;: &amp;quot;chicago&amp;quot;,&lt;br /&gt;
            &amp;quot;services&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers/server-id-2/services&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?page=2&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?page=3&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/dedicatedServers?page=3&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Dedicated_Server_API|Dedicated Server API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Dedicated Server API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId:GET</id>
		<title>ProductSpecifications-productSpecificationId-offerings-offeringId:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId:GET"/>
				<updated>2015-10-15T11:38:58Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}'' =&lt;br /&gt;
Retrieves product specification offering details.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}'' &amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; productSpecificationId - ''string''&lt;br /&gt;
: Product specification Id for a particular product specification&lt;br /&gt;
; offeringId - ''string''&lt;br /&gt;
: Offering Id of the specific offering for a particular product specification&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
;details - integer&lt;br /&gt;
: If set to 1, response will include list of pricing information. This is a short way to get both the offering details and [[ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET|offering prices]]&lt;br /&gt;
&lt;br /&gt;
'''The following parameters are optional and work in combination with details=1.''' They are used for the pricing list '''filtering''', '''sorting''' and '''pagination'''.&lt;br /&gt;
;filterType&lt;br /&gt;
: Indicates that the result should be filtered by price type.&lt;br /&gt;
: The legal values for this parameter are 'fee', 'discount' and 'usage_fee'&lt;br /&gt;
: '''''fee''''' - all product specification and its service specifications prices (e.g. setup fee, recurring fee, etc.)&lt;br /&gt;
: '''''discount''''' - all product specification and its service specifications discounts&lt;br /&gt;
: '''''usage_fee''''' - all product specification and its service specifications usage prices&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;filterRecurrences&lt;br /&gt;
: Indicates that the result should be filtered by the number of recurrences&lt;br /&gt;
: This parameter is optional. &lt;br /&gt;
: The values for this parameter can be specified using a wildcard(*).&lt;br /&gt;
&lt;br /&gt;
;filterRelatedServiceSpecification&lt;br /&gt;
: Indicates that the result should be filtered by linked service specification URI.&lt;br /&gt;
: A value of '' indicates that only results with relatedServiceSpecification='' should be returned.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;filterName&lt;br /&gt;
: Indicates that the result should be filtered by name&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;sortField&lt;br /&gt;
: Indicates which field should be used for sorting.&lt;br /&gt;
: Legal values are 'name', 'type', 'recurrences' and 'relatedServiceSpecification'.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;sortOrder&lt;br /&gt;
: Indicates the order in which the result should be sorted.&lt;br /&gt;
: Legal values are 'asc' and 'desc'&lt;br /&gt;
: This parameter is optional. If 'sortField' was specified and 'sortOrder' was omitted, then the result will be sorted in ascending order.&lt;br /&gt;
&lt;br /&gt;
;pageSize&lt;br /&gt;
: Indicates the number of prices to be included on each page of the result (if pagination is desired)&lt;br /&gt;
: This parameter is optional. If 'page' is specified, 'pageSize' is required.&lt;br /&gt;
&lt;br /&gt;
;page&lt;br /&gt;
: Indicates the 1-based index of the page to view.&lt;br /&gt;
: The value must be an integer between 1 and the maximum number of pages (returned in the 'last' element of the 'links' attribute of the result)&lt;br /&gt;
: This parameter is optional, but if 'pageSize' was specified, then 'page' is also required.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a dictionary of product specification offering details&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: Returned if the product specification Id or the offering Id could not be found.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
  &amp;quot;currency&amp;quot;: &amp;quot;USD&amp;quot;,&lt;br /&gt;
  &amp;quot;default&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;prices&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productspecifications/{productSpecificationId}/offerings/{offeringId}/prices&amp;quot;, &lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productspecifications/{productSpecificationId}/offerings/{offeringId}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; billingPeriod - ''integer''&lt;br /&gt;
: Price's billing period in months&lt;br /&gt;
&lt;br /&gt;
; currency - ''string''&lt;br /&gt;
: Price's currency&lt;br /&gt;
&lt;br /&gt;
; default - ''integer''&lt;br /&gt;
: Specifies whether the offering uses the default billing cycle. Allowed values are '''0''' and '''1'''&lt;br /&gt;
&lt;br /&gt;
; prices - ''link''&lt;br /&gt;
: Hyperlink to the product's offerings prices&lt;br /&gt;
: If request contains '''details''' parameter - response will return [[ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET#Parameters|prices parameters]] instead of hyperlink&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Success scenario ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;GET /productSpecifications/{productSpecificationId}/offerings/{offeringId} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
  &amp;quot;currency&amp;quot;: &amp;quot;USD&amp;quot;,&lt;br /&gt;
  &amp;quot;default&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;prices&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productspecifications/{productSpecificationId}/offerings/{offeringId}/prices&amp;quot;, &lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productspecifications/{productSpecificationId}/offerings/{offeringId}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request with details ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=2&amp;amp;pageSize=10 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
  &amp;quot;currency&amp;quot;: &amp;quot;USD&amp;quot;,&lt;br /&gt;
  &amp;quot;default&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;prices&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;,&lt;br /&gt;
      &amp;quot;deferred&amp;quot;: 1, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0, &lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
      &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;rates&amp;quot; : [ &lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 0.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	},&lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	}&lt;br /&gt;
      ]&lt;br /&gt;
    }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=2&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=1&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=1&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=3&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}?details=1&amp;amp;page=3&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Products|Product Catalog API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Product Catalog API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</id>
		<title>ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET"/>
				<updated>2015-10-15T11:38:10Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices =&lt;br /&gt;
Retrieves prices for a particular product specification offering.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
;filterType&lt;br /&gt;
: Indicates that the result should be filtered by price type.&lt;br /&gt;
: The legal values for this parameter are 'fee', 'discount' and 'usage_fee'&lt;br /&gt;
: '''''fee''''' - all product specification and its service specifications prices (e.g. setup fee, recurring fee, etc.)&lt;br /&gt;
: '''''discount''''' - all product specification and its service specifications discounts&lt;br /&gt;
: '''''usage_fee''''' - all product specification and its service specifications usage prices&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;filterRecurrences&lt;br /&gt;
: Indicates that the result should be filtered by the number of recurrences&lt;br /&gt;
: This parameter is optional. &lt;br /&gt;
: The values for this parameter can be specified using a wildcard(*).&lt;br /&gt;
&lt;br /&gt;
;filterRelatedServiceSpecification&lt;br /&gt;
: Indicates that the result should be filtered by linked service specification URI.&lt;br /&gt;
: A value of '' indicates that only results with relatedServiceSpecification='' should be returned.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;filterName&lt;br /&gt;
: Indicates that the result should be filtered by name&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;sortField&lt;br /&gt;
: Indicates which field should be used for sorting.&lt;br /&gt;
: Legal values are 'name', 'type', 'recurrences' and 'relatedServiceSpecification'.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;sortOrder&lt;br /&gt;
: Indicates the order in which the result should be sorted.&lt;br /&gt;
: Legal values are 'asc' and 'desc'&lt;br /&gt;
: This parameter is optional. If 'sortField' was specified and 'sortOrder' was omitted, then the result will be sorted in ascending order.&lt;br /&gt;
&lt;br /&gt;
;pageSize&lt;br /&gt;
: Indicates the number of prices to be included on each page of the result (if pagination is desired)&lt;br /&gt;
: This parameter is optional. If 'page' is specified and 'pageSize' is omitted, then the result will show 100 prices per page.&lt;br /&gt;
&lt;br /&gt;
;page&lt;br /&gt;
: Indicates the 1-based index of the page to view.&lt;br /&gt;
: The value must be an integer between 1 and the maximum number of pages (returned in the 'last' element of the 'links' attribute of the result)&lt;br /&gt;
: This parameter is optional, but if 'pageSize' was specified, then 'page' is also required.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a list of prices for a particular product specification offering Id.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: Returned if incorrect parameters are specified for filtering, sorting or pagination. The response body will contain details about the nature of the error.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: Returned if the product specification Id or the offering Id could not be found.&lt;br /&gt;
&lt;br /&gt;
;502 Bad Gateway&lt;br /&gt;
: Returned there is any internal API error.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0,&lt;br /&gt;
      &amp;quot;deferred&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0,&lt;br /&gt;
      &amp;quot;deferred&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
      &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;rates&amp;quot; : [ &lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 0.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	},&lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	}&lt;br /&gt;
       ]&lt;br /&gt;
     }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=3&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=1&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=2&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=4&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=12&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of product offering price details. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; type - ''string''&lt;br /&gt;
:: This can be either 'fee', 'discount' or 'usage_fee'. A fee represents a fee that will be charged. A discount represents a downward adjustment of the amount of a fee. An usage fee represents a fee that will be charged based on usage rate.&lt;br /&gt;
&lt;br /&gt;
:; deferred - ''integer''&lt;br /&gt;
:: All fees (product and service specific fees) have deferred flag, which is showing whether the product/service has a delayed billing.&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: A name for the price. This is NOT guaranteed to be unique.&lt;br /&gt;
&lt;br /&gt;
:; billingPeriod - ''integer''&lt;br /&gt;
:: The billing frequency in months.&lt;br /&gt;
&lt;br /&gt;
:; recurrences - ''integer'' &lt;br /&gt;
:: The number of time this price will recur. A value of -1 means that the price will recur throughout the entire lifetime of the provisioned product.&lt;br /&gt;
:: This parameter is available for '''''fee''''' and '''''discount''''' types only&lt;br /&gt;
&lt;br /&gt;
:; relatedServiceSpecification - ''string''&lt;br /&gt;
:: The URI of the service specification (associated with the product) to which this price is linked. If this is an empty string, then the price is linked to the product itself.&lt;br /&gt;
&lt;br /&gt;
:; unit - ''string''&lt;br /&gt;
:: unit based on which a service is charged for.&lt;br /&gt;
:: This parameter is available for '''''usage_fee''''' type only&lt;br /&gt;
&lt;br /&gt;
:; rates - ''dictionary''&lt;br /&gt;
:: tiers of usage on which a service is charged for. Each tier has:&lt;br /&gt;
::; start - ''float''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''current''' tier's price. The start of a tier is '''inclusive for the current tier'''.&lt;br /&gt;
&lt;br /&gt;
::; end - ''float''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''next''' tier's price. The end of a tier is '''exclusive for the current tier'''. If the '''end''' parameter is '''-1''', then we have no limit for the tier.&lt;br /&gt;
&lt;br /&gt;
::; pricePerIncrement - ''float''&lt;br /&gt;
::: Price per an increment to be charged.&lt;br /&gt;
&lt;br /&gt;
::; increment - ''float''&lt;br /&gt;
::: usage increment size to be charged pricePerIncrement price.&lt;br /&gt;
&lt;br /&gt;
::; includedPrice - ''float''&lt;br /&gt;
::: Fixed amount to be payied in a given tier.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 2.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 3.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product filtered by an usage rate's name ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 0.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Products|Product Catalog API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Product Catalog API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Dns-franchise-zone-rr:GET</id>
		<title>Dns-franchise-zone-rr:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Dns-franchise-zone-rr:GET"/>
				<updated>2015-08-06T09:37:56Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /dns/''{franchise}''/''{zone}''/rr =&lt;br /&gt;
Returns the resource records for a specific DNS zone.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /dns/''{franchise}''/''{zone}''/rr&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; franchise - ''string''&lt;br /&gt;
: franchise&lt;br /&gt;
; zone - ''string''&lt;br /&gt;
: The name of the DNS zone.&lt;br /&gt;
&lt;br /&gt;
==== URI Parameters ====&lt;br /&gt;
; name&lt;br /&gt;
: Optional. Specifies the record name to use to filter results.&lt;br /&gt;
&lt;br /&gt;
; type&lt;br /&gt;
: Optional. Specifies the type of records to return: ''A'', ''AAAA'', ''NS'', ''TXT'', ''SRV'', ''MX'', ''CNAME''&lt;br /&gt;
&lt;br /&gt;
; page - ''number''&lt;br /&gt;
: Optional. Specifies the page to return in paginated response. Default is 1.&lt;br /&gt;
&lt;br /&gt;
; page_size - ''number''&lt;br /&gt;
: Optional. Specifies the number of records per page.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Authorization&lt;br /&gt;
: Base64-encoded username:password string&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: The server could not verify the credentials from the authorization header.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The specified zone does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;count&amp;quot;: 2,&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;id&amp;quot;: {id},&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
      &amp;quot;type: &amp;quot;AAAA&amp;quot;,&lt;br /&gt;
      &amp;quot;ttl&amp;quot;: {ttl},&lt;br /&gt;
      &amp;quot;address&amp;quot;: &amp;quot;{ipv6_address}&amp;quot;,&lt;br /&gt;
      &amp;quot;owner&amp;quot;: &amp;quot;{owner}&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;id&amp;quot;: {id},&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
      &amp;quot;type: &amp;quot;A&amp;quot;,&lt;br /&gt;
      &amp;quot;ttl&amp;quot;: {ttl},&lt;br /&gt;
      &amp;quot;address&amp;quot;: &amp;quot;{ipv4_address}&amp;quot;,&lt;br /&gt;
      &amp;quot;owner&amp;quot;: null&lt;br /&gt;
    }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;page&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;pageSize&amp;quot;: 10,&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[DNS|DNS API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:DNS API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:PUT</id>
		<title>Orders-orderId-account-products-productId-services-serviceId:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:PUT"/>
				<updated>2015-07-31T10:33:36Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: /* Status Code */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}'' =&lt;br /&gt;
Updates a service in order builder.&lt;br /&gt;
Currently supports only updating the name and the billing cycle of the service.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
A dictionary containing the keys &amp;quot;billingCycle&amp;quot; and &amp;quot;name&amp;quot; and their values.&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;billingCycle&amp;quot;: 12,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;Service Name&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Validation Rules ===&lt;br /&gt;
:# The service URL ( ''{{APIBaseURL}}/orders/{orderId}/account/products/{productId}/services/{serviceId}'' ) should point to a valid service already added to the product.&lt;br /&gt;
:# The dictionary key/value pairs should be valid billing cycle and service name.&lt;br /&gt;
:# The billingCycle and name parameters are required.&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 204 No Content&lt;br /&gt;
| -&lt;br /&gt;
| The operation was successfully completed.&lt;br /&gt;
|-&lt;br /&gt;
| rowspan=&amp;quot;2&amp;quot;| 400 Bad Request&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to update service with empty body or with invalid body.&lt;br /&gt;
|-&lt;br /&gt;
| Unable to change service: invalid cycle&lt;br /&gt;
| Trying to change the billing cycle to value that is not supported by the current service.&lt;br /&gt;
|-&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The ''OwnerId'' cookie was not specified or is incorrect.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: Service failed permission check&lt;br /&gt;
| The client does not have permissions to update the service.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The client is trying to update a non existing service.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request - invalid or empty body is passed (required field is missing)&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;, &amp;quot;name&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - missing billingCycle&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - missing name&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;name&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - invalid billing cycle&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;7c72847f-5138-44e8-ad93-cc80bb5ba7bc&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unable to change service: invalid cycle&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order or product was not found.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;e1792d8a-5b0a-43ef-adf5-34a0710c8fc5&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId:PUT</id>
		<title>Orders-orderId-account-products-productId:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId:PUT"/>
				<updated>2015-07-31T10:25:25Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: /* Error responses */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT /orders/''{orderId}''/account/products/''{productId}'' =&lt;br /&gt;
Updates an existing product in order builder.&lt;br /&gt;
Currently supports only updating the billing cycle.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /orders/''{orderId}''/account/products/''{productId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
A dictionary containing the key &amp;quot;billingCycle&amp;quot; and a value that is integer.&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;billingCycle&amp;quot;: 12&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Validation Rules ===&lt;br /&gt;
:# The product URL ( ''{{APIBaseURL}}/orders/{orderId}/account/products/{productId}'' ) should point to a valid product already added to the order.&lt;br /&gt;
:# The billing cycle should be a valid integer between 1 and 120 and also a valid billing cycle as defined in ServicePlex.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 204 No Content&lt;br /&gt;
| -&lt;br /&gt;
| The operation was successfully completed.&lt;br /&gt;
|-&lt;br /&gt;
| rowspan=&amp;quot;4&amp;quot;| 400 Bad Request&lt;br /&gt;
| POST data error&lt;br /&gt;
| Missing billing cycle value.&lt;br /&gt;
|-&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to add a billing cycle less than 1.&lt;br /&gt;
|-&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to update the billing cycle to value &amp;gt; 120.&lt;br /&gt;
|-&lt;br /&gt;
| Unable to update the product 0000014ee39eee9c95fa4b5b007f000000010001&lt;br /&gt;
| Trying to update the billing cycle to value that is not available for the product.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The ''OwnerId'' cookie was not specified or is incorrect.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: Products failed permission check&lt;br /&gt;
| The client does not have permissions to update the product.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The client is trying to update the billing cycle for a non existing product or order.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request - empty body is passed&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;bd80dfdc-5752-4472-96f2-90f590ddb3f9&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;:  {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - invalid body is passed (required field is missing)&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;:  {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - invalid billing cycle is passed&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;fdd0b796-c690-47af-9666-0478e2bcae27&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;:  {&amp;quot;billingCycle&amp;quot;: &amp;quot;0 is less than minimum value 1&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - invalid billing cycle is passed&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;1e98f8ea-d298-4867-a9aa-0a6486dbefb0&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;billingCycle&amp;quot;: &amp;quot;122 is greater than maximum value 120&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - billing cycle is not available for the product&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;1e98f8ea-d298-4867-a9aa-0a6486dbefb0&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unable to update the product 0000014edfe57d8b9b2c78bf007f000000010001&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
                  &amp;quot;guid&amp;quot;: &amp;quot;6af8e3e6-c3dc-4083-8389-1c1a038c62c0&amp;quot;,&lt;br /&gt;
                  &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: Products failed permission check&amp;quot;,&lt;br /&gt;
                  &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
                  &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
                 }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order or product was not found.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;e1792d8a-5b0a-43ef-adf5-34a0710c8fc5&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:PUT</id>
		<title>Orders-orderId-account-products-productId-services-serviceId-notes:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:PUT"/>
				<updated>2015-07-21T13:17:05Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes =&lt;br /&gt;
Updates the notes for a service in the order.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;notes&amp;quot;: [&amp;quot;xx&amp;quot;, &amp;quot;zz&amp;quot;]&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; notes - ''list''&lt;br /&gt;
: List of notes to update the existing notes for a the service&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 204 No Content&lt;br /&gt;
| -&lt;br /&gt;
| The notes were successfully added to the service.&lt;br /&gt;
|-&lt;br /&gt;
| rowspan=&amp;quot;1&amp;quot;| 400 Bad Request&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to update the notes without passing all the required attributes.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The request was not properly authorized.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: NotesView failed permission check&lt;br /&gt;
| The client does not have permissions to update the notes.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The order, product or service doesn't exist.&lt;br /&gt;
|-&lt;br /&gt;
| 405 Method not allowed&lt;br /&gt;
| Method not allowed&lt;br /&gt;
| Trying to update the notes for placed order.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request - request body is missing some of the required attributes&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;23bf964e-fb93-4bd6-816e-3dcb31b82755&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&lt;br /&gt;
            &amp;quot;notes&amp;quot;: &amp;quot;Required&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden - the client does not have access to update the notes.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;d336dd8e-bc52-44f3-b672-9aa2fac7fbf4&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: NotesView failed permission check&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order, product or the service was not found.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;e1792d8a-5b0a-43ef-adf5-34a0710c8fc5&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badMethod&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;3e9418e0-5a5d-4652-ae50-0e665d39571a&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Method not allowed&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 405,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:POST</id>
		<title>Orders-orderId-account-products-productId-services-serviceId-notes:POST</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:POST"/>
				<updated>2015-07-21T13:04:30Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= POST /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes =&lt;br /&gt;
Adds a new note to a service in the order.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;note&amp;quot;: &amp;quot;xx&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; note - ''string''&lt;br /&gt;
: The text of the note&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 201 Created&lt;br /&gt;
| -&lt;br /&gt;
| The note was successfully added to the service.&lt;br /&gt;
|-&lt;br /&gt;
| rowspan=&amp;quot;1&amp;quot;| 400 Bad Request&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to create a note without passing all the required attributes.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The request was not properly authorized.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: NotesView failed permission check&lt;br /&gt;
| The client does not have permissions to add notes.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found &lt;br /&gt;
| Resource not found&lt;br /&gt;
| The order or product or service doesn't exist.&lt;br /&gt;
|-&lt;br /&gt;
| 405 Method not allowed&lt;br /&gt;
| Method not allowed&lt;br /&gt;
| Trying to add notes for placed order.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request - request body is missing some of the required attributes&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;23bf964e-fb93-4bd6-816e-3dcb31b82755&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&lt;br /&gt;
            &amp;quot;note&amp;quot;: &amp;quot;Required&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden - the client does not have access to add notes.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;d336dd8e-bc52-44f3-b672-9aa2fac7fbf4&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: NotesView failed permission check&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order, product or the service was not found.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;e1792d8a-5b0a-43ef-adf5-34a0710c8fc5&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badMethod&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;3e9418e0-5a5d-4652-ae50-0e665d39571a&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Method not allowed&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 405,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:OPTIONS</id>
		<title>Orders-orderId-account-products-productId-services-serviceId-notes:OPTIONS</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:OPTIONS"/>
				<updated>2015-07-21T12:40:16Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= OPTIONS /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes=&lt;br /&gt;
Get list of supported methods for this resource, plus some hints on the expected resource structure.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;OPTIONS /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 200 OK&lt;br /&gt;
| -&lt;br /&gt;
| The operation was successfully completed.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The request was not properly authorized.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: NotesView failed permission check&lt;br /&gt;
| The client does not have permissions for this operation.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The order, product or service doesn't exist.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
; Allow&lt;br /&gt;
: Contains a comma-separated list of methods that are allowed on this resource. For services that do not support attributes, this will contain only the OPTIONS method.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
A dictionary whose keys/values are specific to the service category of the service. Rather than returning actual service data, the body will contain a dictionary that provides hints for how to build the request body for a PUT request, for example:&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:DELETE</id>
		<title>Orders-orderId-account-products-productId-services-serviceId-notes:DELETE</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:DELETE"/>
				<updated>2015-07-21T12:39:55Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= DELETE /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes =&lt;br /&gt;
Removes notes from a service.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;DELETE /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: Product's unique Id.&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service to be deleted&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 204 &lt;br /&gt;
| -&lt;br /&gt;
| The operation was successfully completed.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The request was not properly authorized.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: NotesView failed permission check&lt;br /&gt;
| The client does not have permissions to delete the notes.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The order, product or service is not found.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden - the client does not have permissions to delete the notes.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;d336dd8e-bc52-44f3-b672-9aa2fac7fbf4&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: NotesView failed permission check&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;579951da-5f2c-4db7-9169-25658bfaafdb&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:GET</id>
		<title>Orders-orderId-account-products-productId-services-serviceId-notes:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId-notes:GET"/>
				<updated>2015-07-21T12:39:19Z</updated>
		
		<summary type="html">&lt;p&gt;Emanuela.mitreva: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes =&lt;br /&gt;
Get all notes for a given service.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''/notes &amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 200 OK&lt;br /&gt;
| -&lt;br /&gt;
| The notes for the service (if any) are successfully returned.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
[...]
